summaryrefslogtreecommitdiff
path: root/Mk
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2015-07-24 10:11:18 +0000
committerMathieu Arnold <mat@FreeBSD.org>2015-07-24 10:11:18 +0000
commitf08b36d14d4acf8d036dc7e90c7415dd982a2332 (patch)
tree3dcd3f2482b68d171e41c42332e1d793dd6684a5 /Mk
parenta538d856655b9827e2b7b164957baa7a3542ff55 (diff)
downloadfreebsd-ports-f08b36d14d4acf8d036dc7e90c7415dd982a2332.zip
Split LIB_DEPENDS and the other _DEPENDS types.
Reviewed by: bapt, pgolluci Exp-run by: mat Approved by: bapt With hat: portmgr Sponsored by: Absolight Differential Revision: https://reviews.freebsd.org/D3150
Diffstat (limited to 'Mk')
-rw-r--r--Mk/Scripts/do-depends.sh21
1 files changed, 15 insertions, 6 deletions
diff --git a/Mk/Scripts/do-depends.sh b/Mk/Scripts/do-depends.sh
index 613ea0cff634..e64fa426c7ed 100644
--- a/Mk/Scripts/do-depends.sh
+++ b/Mk/Scripts/do-depends.sh
@@ -140,12 +140,21 @@ for _line in ${dp_RAWDEPENDS} ; do
fi
fi
- case ${pattern} in
- *\>*|*\<*|*=*) fct=find_package ;;
- lib*.so*) fct=find_lib ;;
- /nonexistent) fct=false ;;
- /*) fct=find_file ;;
- *) fct=find_file_path ;;
+ case ${dp_DEPTYPE} in
+ LIB_DEPENDS)
+ case ${pattern} in
+ lib*.so*) fct=find_lib ;;
+ *)
+ echo "Error: pattern ${pattern} in LIB_DEPENDS is not valid"
+ exit 1 ;;
+ esac ;;
+ *)
+ case ${pattern} in
+ *\>*|*\<*|*=*) fct=find_package ;;
+ /nonexistent) fct=false ;;
+ /*) fct=find_file ;;
+ *) fct=find_file_path ;;
+ esac ;;
esac
if ${fct} "${pattern}" ; then
continue